Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.eventstore
Interface EventStoreManager

public interface EventStoreManager

The top-level event store service, through which clients may interact with event stores. There is a single instance of the event store manager, which clients obtain using the OSGi Service Registry.

Event store providers register themselves with the event store manager; typically this is done at start up time as part of initializing each provider. Subsequently, clients call `findStore`, `createStore` or `findOrCreateStore` in order to obtain access to an event store. The event store manager delegates these requests to the appropriate provider. When the client finds an existing event store, the request is delegated to the provider that has the store in question. When the client creates a new event store, the request is delegated to the most appropriate provider based on policy information.

The event store manager uses policy information to decide which provider will handle a given client request. The policy information comes from three places:

- The event store manager may have global policy configured at initialization time.
- Each provider may specify policy that describes what its capabilities and usage preferences are.
- Each client request to create a new event store may include policy that describes what capabilities it needs.

The event store manager considers the policy included with the client request, and finds the best match based on the policy accompanying each provider along with the global policy.

Method Summary
`EventStore` | `createStore(java.lang.String name, EventStoreProperties props)` Creates a new event store having the specified name and offering the specified properties.
`EventStore` | `findOrCreateStore(java.lang.String name, EventStoreProperties props)` Returns the event store having the specified name, or creates a new event store having the specified name and offering the specified properties if no event store already exists by that name.
`EventStore` | `findStore(java.lang.String name)` Returns the event store having the specified name, or null if none exists.
`EventStoreProvider` | `getProvider(java.lang.String name)` Returns the event store provider having the specifed name, or null if none by that name has been registered.
`void` | `registerProvider(EventStoreProvider provider, EventStoreProviderPolicy policy)` Registers the specified event store provider with the specified policy.
`void` | `setPolicy(EventStoreManagerPolicy policy)` Sets the policy for this event store manager.
`void` | `unregisterProvider(EventStoreProvider provider)` Unregisters the specified event store provider.

Method Detail

### setPolicy

    public void setPolicy(EventStoreManagerPolicy policy)
                   throws EventStoreException

  Sets the policy for this event store manager.

### registerProvider

    public void registerProvider(EventStoreProvider provider,
                                 EventStoreProviderPolicy policy)
                          throws EventStoreException

  Registers the specified event store provider with the specified policy. If the specified provider was previously registered, changes the policy for that provider.

### unregisterProvider

    public void unregisterProvider(EventStoreProvider provider)
                            throws EventStoreException

  Unregisters the specified event store provider. Does nothing if that provider was not previously registered.

### getProvider

    public EventStoreProvider getProvider(java.lang.String name)

  Returns the event store provider having the specifed name, or null if none by that name has been registered.

### findStore

    public EventStore findStore(java.lang.String name)
                         throws EventStoreException

  Returns the event store having the specified name, or null if none exists.

### createStore

    public EventStore createStore(java.lang.String name,
                                  EventStoreProperties props)
                           throws EventStoreException

  Creates a new event store having the specified name and offering the specified properties.

### findOrCreateStore

    public EventStore findOrCreateStore(java.lang.String name,
                                        EventStoreProperties props)
                                 throws EventStoreException

  Returns the event store having the specified name, or creates a new event store having the specified name and offering the specified properties if no event store already exists by that name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.